<h3>Resolving the Domain</h3><p>
        The browser has a DNS cache, but it is empty because it's the first time the customer looks
        up <code>my-openedx-instance.opencraft.hosting</code>. In effect, the browser asks the
        recursive operating system resolver to get the IP address.
      </p><p>
        The system resolver also has a cache that doesn't have the IP address yet, nor any other
        DNS records associated with this domain, so it needs to go to the root nameservers first.
      </p><p>
        The root nameservers and others in the hierarchy are non-recursive, so they only <em>point</em> the
        system resolver to other, more authorative nameservers, rather than get the answers themselves
        and hand them back to the system resolver. For <code>my-openedx-instance.opencraft.hosting</code>, the root
        nameservers direct the system resolver to the "hosting" TLD nameservers.
      </p><p>
        Since <code>opencraft.hosting</code> is currently managed by the Gandi DNS provider, the TLD nameservers
        direct the system resolver to <a href="https://handbook.opencraft.com/en/latest/glossary/#gandi">Gandi</a> nameservers. The system resolver queries the <a href="https://handbook.opencraft.com/en/latest/glossary/#gandi">Gandi</a>
        nameservers about <code>my-openedx-instance.opencraft.hosting</code>, and they tell that
        <code>IP 178.32.102.81</code> happens to be the IP for <code>my-openedx-instance.opencraft.hosting</code>, and that IP points to the load balancer used by the Ingress Controller. Therefore, the Open edX instance's domain is actually leading your request to the load balancer, and the load balancer is configured by the
        Ingress Controller to point to the multiple appserver instances for that particular domain.
      </p>
